const requireFromUrl = require('require-from-url');
const readline = require('readline');

function main(HelloWorld) {
    let api = new HelloWorld;
    api.on('data', console.log);

    readline.createInterface({
        input: process.stdin,
        output: process.stdout
    })
    .on('line', async function(line) {
        try {
            let message = await api.say(line.trim());
            console.log(message);
        }
        catch(e) {}
    })
    .on('close', process.exit);
}

requireFromUrl(["http://localhost:8080/HelloWorld.js"], function(err, HelloWorld) {
    if(!err) main(HelloWorld);
});
