const Nodeway = require("nodeway");

class HelloWorld extends Nodeway {
    constructor(uuid) {
        super(uuid);
    }
    async say(message) {
        this.broadcast('data', `${message}(${Nodeway.onlineCount})`);
        return new Promise(function(resolve, reject) {
            resolve(message);
        });
    }
}

module.exports = HelloWorld;
